Package csb :: Package statmech :: Module ensembles :: Class CompositeEnsemble

[frames] | no frames]

# Class CompositeEnsemble

source code

             object --+
                      |
    StatisticalEnsemble --+
                          |
                         CompositeEnsemble

Nested Classes
Inherited from `StatisticalEnsemble`: `__metaclass__`

Instance Methods

__init__(self, ensembles=`[``]`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

energy(self, raw_energies) Transforms the raw energies as if they were observed in this statistical ensemble | source code

gradient(self, raw_energies) | source code

Inherited from `StatisticalEnsemble`: `__call__`, `log_prob` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| ensembles Collection of statistical ensembles
Inherited from `object`: `__class__`

Method Details

### __init__(self, ensembles=`[``]`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### energy(self, raw_energies)

source code

Transforms the raw energies as if they were observed in this statistical ensemble

Overrides: StatisticalEnsemble.energy
  (inherited documentation)

### gradient(self, raw_energies)

source code

Overrides: StatisticalEnsemble.gradient

Property Details

### ensembles

Collection of statistical ensembles

Get Method:
  unreachable.ensembles(self) - Collection of statistical ensembles
Set Method:
  unreachable.ensembles(self, value)